#ifndef CMS_PKI_CRLS_H_INCLUDED
#define  CMS_PKI_CRLS_H_INCLUDED

#include <vector>

#include "pki/icrls.h"
#include "../common/common.h"
#include "../stdafx.h"

#include "pki.h"
#include "crl.h"

class CrlCollection : public ICrlCollection {
public:
	CrlCollection();
	~CrlCollection();

	//methods
	Handle<std::string> getProviderName();
	void push(Handle<ICRL> crl);
	void pop();
	void removeAt(int index);
	int length();
	Handle<ICRL> items(int index);

protected:
	std::vector<Handle<ICRL>> vectCRLs;
};

#endif //!CMS_PKI_CRLS_H_INCLUDED
